%define name	OpenEXR
%define fname	openexr
%define version	1.4.0
%define	fver	1.4.0a
%define release %mkrel 3

%define major		4
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Name: 	 	%{name}
Summary: 	High-quality video format
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/openexr/%{fname}-%{fver}.tar.bz2
# Switches detection order in acinclude.m4 so that -lpthread will be
# used rather than -pthread: this is to fix a problem where building
# against this library would cause undefined references to pthreads
# stuff, in e.g. pfstools - AdamW 2007/08
Patch0:		openexr-1.4.0-threads.patch
URL:		http://www.openexr.net/
License:	BSD
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	fltk-devel
BuildRequires:	autoconf

%description
ILM developed the OpenEXR format in response to the demand for higher color
fidelity in the visual effects industry.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
#Provides:	%name
#Obsoletes:	%name = %version-%release

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%{name}-devel
Obsoletes:	%{mklibname OpenEXR 4 -d}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p1 -b .threads
autoconf

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Remove doc files installed by make install, we package them in %files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc




%changelog
* Thu Aug 16 2007 Adam Williamson <awilliamson@mandriva.com> 1.4.0-3mdv2008.0
+ Revision: 64649
- remove unpackaged doc files in %%install
- package license (required for BSD)
- update autoconf buildrequire
- correct license
- new devel policy
- patch0: set it up so that -lpthread will be used when building against this lib rather than -pthread


* Sun Feb 25 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-2mdv2007.0
+ Revision: 125587
- Rebuilt against rpm-mandriva-setup 1.37.

* Tue Jan 30 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 115610
- Release 1.4.0.
- Remoted Patch0, Patch1.
- Added sources for release 1.4.0a.

* Sun Jan 28 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.2-4mdv2007.1
+ Revision: 114595
- %%{mkrel}.
- Import OpenEXR

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.2-3mdk
- C++ & libtool fixes

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 1.2.2-2mdk
- rebuild
- lost Per Oyvind's changes somehow :-(

* Thu Jun 09 2005 Austin Acton <austin@mandriva.org> 1.2.2-1mdk
- 1.2.2
- source URL

* Tue May 03 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2.1-3mdk
- fix build on older releases (libtool problem)
- %%{1}mdv2007.1

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-2mdk
- fix license

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 1.2.1-1mdk
- initial package

